package com.qmth.qrzk.repository.exp;

import java.util.Date;
import java.util.List;

/**
 * 任务批次
 * @author 马涛 2017-07-02
 *
 */
public class TkjsTaskBatch{
	private String guid;
	private String name;
	private Date planStartTime;//计划开工时间
	private Date planEndTime;//计划结束时间
	private List<TkjsTask> tasks;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getPlanStartTime() {
		return planStartTime;
	}
	public void setPlanStartTime(Date planStartTime) {
		this.planStartTime = planStartTime;
	}
	public Date getPlanEndTime() {
		return planEndTime;
	}
	public void setPlanEndTime(Date planEndTime) {
		this.planEndTime = planEndTime;
	}
	public List<TkjsTask> getTasks() {
		return tasks;
	}
	public void setTasks(List<TkjsTask> tasks) {
		this.tasks = tasks;
	}
	public TkjsTaskBatch() {
		//do nothing
	}
	public TkjsTaskBatch(String guid, String name, Date planStartTime,
			Date planEndTime, List<TkjsTask> tasks) {
		this.guid = guid;
		this.name = name;
		this.planStartTime = planStartTime;
		this.planEndTime = planEndTime;
		this.tasks = tasks;
	}
}
